libzypp 17.38.15

TriBool.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <boost/logic/tribool.hpp>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | boost
| Boost libraries.
namespace | boost::logic

## Functions
std::string | zypp::asString (const TriBool &val_r, const std::string &istr_r=std::string(), const std::string &tstr_r=std::string(), const std::string &fstr_r=std::string())
bool | zypp::tri2bool (const TriBool &val_r, bool default_r)
| Convert TriBool to bool returning default_r if indeterminate.
std::ostream & | boost::logic::operator<< (std::ostream &s, const tribool &obj)
| relates: TriBool stream output
bool | boost::logic::sameTriboolState (tribool lhs, tribool rhs)
| relates: TriBool whether 2 tribool have the same state (this is NOT ==)